# class RSS::NotExpectedTagError

Raised when an unexpected tag is encountered.

### Attributes

parent[R]
tag[R]
uri[R]

### Public Class Methods

new(tag, uri, parent) click to toggle source
Calls superclass method `Exception::new`

    # File lib/rss/rss.rb, line 142
    def initialize(tag, uri, parent)
      @tag, @uri, @parent = tag, uri, parent
      super("tag <{#{uri}}#{tag}> is not expected in tag <#{parent}>")
    end